/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.datos;

import java.sql.*;

import servidor.utiles.*;

public class TablaSalasEspera extends Tabla_Base {
   public TablaSalasEspera(Connection conexion) {
	  super(conexion, "SalasEspera");
   }
   
   public int getId() throws SQLException {
	  return rs.getInt(1);
   }
   
   public String getTextoSalaEspera() throws SQLException {
	  return rs.getString(2);
   }
   
   public int getRetraso() throws SQLException {
	  return rs.getInt(3);
   }

   public void nuevoSalaEspera(String TextoSala, int TiempoEspera) throws SQLException{
		  SQL("INSERT INTO salasespera (TextoSalaEspera, TiempoEspera) VALUES (''{0}'',{1})", new String[] {TextoSala,Integer.toString(TiempoEspera)});
	   }
   
   

   

   

}
